## drkonqi 6.5.1+p24.04+vstable+git20251029.0626

=== debian/changelog ===
drkonqi (6.5.1+p24.04+vstable+git20251029.0626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:26:16 +0000

drkonqi (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:38:36 +0000
