=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

QT6_CMAKE_ARGS = -DWITH_PYTHON_VENDORING=OFF -DWITH_GDB12=TRUE

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- $(QT6_CMAKE_ARGS)
