=== src/sentry/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Harald Sitter <sitter@kde.org>

add_subdirectory(lib)
add_subdirectory(data)
add_subdirectory(postman)
