## drkonqi 6.5.3+p24.04+vunstable+git20251204.0526

=== debian/changelog ===
drkonqi (6.5.3+p24.04+vunstable+git20251204.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:26:35 +0000

drkonqi (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:42 +1000

drkonqi (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:41 +1000
