=== debian/changelog ===
drkonqi (6.5.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add elfutils to dependencies, eu-unstrip is required to get actual
    crash reports.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Dec 2025 07:59:06 +0100

drkonqi (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:50:32 +0100
