=== debian/control ===
--- 
+++ 
@@ -36,7 +36,8 @@
 
 Package: drkonqi
 Architecture: any
-Depends: qml6-module-org-kde-kirigami,
+Depends: elfutils,
+         qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kitemmodels,
          qml6-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
