## drkonqi 6.5.4+p24.04+vstable+git20251224.0726

=== debian/changelog ===
drkonqi (6.5.4+p24.04+vstable+git20251224.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:26:56 +0000

drkonqi (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:02 +1000
