## drkonqi 6.5.4+p24.04+vstable+git20251231.0201

=== debian/changelog ===
drkonqi (6.5.4+p24.04+vstable+git20251231.0201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:01:22 +0000
