## drkonqi 6.5.4+p24.04+vunstable+git20251226.0048

=== debian/changelog ===
drkonqi (6.5.4+p24.04+vunstable+git20251226.0048-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 00:48:55 +0000
