## drkonqi 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
@@ -30,15 +30,6 @@
 include(FindPythonModule)
 
 option(WITH_PYTHON_VENDORING "Python dependency vendoring (cmake will install python dependencies into drkonqi's python tree)" ON)
-option(WITH_GLOBAL_NOTIFIER "Build the global notifier that notifies about all coredumps on the system" ON)
-
-# Please disable it if your distribution does not intend to ship supported versions of KDE software.
-# e.g. if you are a LTS-style distro that only ships security fixes please disable this.
-# Users still get notified about crashes and guided towards reporting them to your bug tracker (via os-release's BUG_REPORT_URL).
-# This prevents users from reporting crashes in outdated software and then getting their bug closed immediately by a bot.
-# https://bugs.kde.org/show_bug.cgi?id=491790
-option(WITH_DRKONQI_REPORTING "Guided UI reporting of crashes via DrKonqi, also Sentry." ON)
-add_feature_info(Reporting WITH_DRKONQI_REPORTING "guided reports to the KDE bugzilla. Disable when shipping older KDE software!")
 
 kde_enable_exceptions()
 
@@ -81,10 +72,8 @@
 find_package(GDB 12)
 set_package_properties(GDB PROPERTIES TYPE RUNTIME PURPOSE "GDB is required for debugging")
 
-if(GDB_VERSION VERSION_LESS "18")
-    find_package(eu-unstrip)
-    set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
-endif()
+find_package(eu-unstrip)
+set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.240
@@ -105,15 +94,6 @@
     PURPOSE "Required for coredumpd support to work at runtime!"
 )
 
-find_package(flatpak-coredumpctl)
-set_package_properties(
-    flatpak-coredumpctl
-    PROPERTIES
-    TYPE RUNTIME
-    DESCRIPTION "coredumpd CLI wrapper for flatpaks. part of flatpak"
-    PURPOSE "for debugging flatpaks. ONLY skip this if you absolutely cannot run flatpak on your system"
-)
-
 add_subdirectory(src)
 
 # add clang-format target for all our real source files
