## drkonqi 6.5.5+p24.04+vstable+git20260129.0043

=== debian/changelog ===
drkonqi (6.5.5+p24.04+vstable+git20260129.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:43:49 +0000

drkonqi (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:08 +1000
