## drkonqi 6.5.5+p24.04+vunstable+git20260126.0934

=== debian/changelog ===
drkonqi (6.5.5+p24.04+vunstable+git20260126.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:34:41 +0000
