=== debian/changelog ===
drkonqi (6.5.5+p24.04+vunstable+git20260130.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:19:17 +0000
